Bug 21808 - Field 711 is not handled correctly in showAuthor XSLT for relator term or code
Summary: Field 711 is not handled correctly in showAuthor XSLT for relator term or code
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Marcel de Rooy
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-11-12 10:52 UTC by Marcel de Rooy
Modified: 2019-02-25 10:12 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 21808: Field 711 is not handled correctly in showAuthor XSLT for relator term or code (2.53 KB, patch)
2018-11-12 11:03 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 21808: Field 711 is not handled correctly in showAuthor XSLT for relator term or code (2.56 KB, patch)
2018-11-16 20:55 UTC, Pierre-Marc Thibault
Details | Diff | Splinter Review
Bug 21808: Field 711 is not handled correctly in showAuthor XSLT for relator term or code (2.64 KB, patch)
2019-02-04 12:44 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marcel de Rooy 2018-11-12 10:52:40 UTC
The following condition in xsl detail opac and staff looks at $j for field 111 but not for field 711 while it should too. The condition can be written a bit easier to read (without self, parent, etc.)

<xsl:if test="marc:subfield[@code='4' or @code='e'][not(parent::*[@tag=111])] or (self::*[@tag=111] and marc:subfield[@code='4' or @code='j'][. != ''])">
Comment 1 Marcel de Rooy 2018-11-12 11:03:45 UTC
Created attachment 82222 [details] [review]
Bug 21808: Field 711 is not handled correctly in showAuthor XSLT for relator term or code

The test should check $4 or $e for fields ne 111,711.
And should check $4 or $j for 111,711.

Test plan:
Edit a record, add a meeting in 711 without $4 but with $j.
Without this patch the term is not visible, with this patch it is.
Comment 2 Pierre-Marc Thibault 2018-11-16 20:55:47 UTC
Created attachment 82418 [details] [review]
Bug 21808: Field 711 is not handled correctly in showAuthor XSLT for relator term or code

The test should check $4 or $e for fields ne 111,711.
And should check $4 or $j for 111,711.

Test plan:
Edit a record, add a meeting in 711 without $4 but with $j.
Without this patch the term is not visible, with this patch it is.

Signed-off-by: Pierre-Marc Thibault <pierre-marc.thibault@inLibro.com>
Comment 3 Kyle M Hall 2019-02-04 12:44:38 UTC
Created attachment 84699 [details] [review]
Bug 21808: Field 711 is not handled correctly in showAuthor XSLT for relator term or code

The test should check $4 or $e for fields ne 111,711.
And should check $4 or $j for 111,711.

Test plan:
Edit a record, add a meeting in 711 without $4 but with $j.
Without this patch the term is not visible, with this patch it is.

Signed-off-by: Pierre-Marc Thibault <pierre-marc.thibault@inLibro.com>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 4 Marcel de Rooy 2019-02-04 12:45:49 UTC
(In reply to Kyle M Hall from comment #3)
> Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>

Thx
Comment 5 Nick Clemens 2019-02-04 17:45:28 UTC
Awesome work all!

Pushed to master for 19.05
Comment 6 Martin Renvoize 2019-02-11 13:46:23 UTC
Pushed to 18.11.x for 18.11.03
Comment 7 Lucas Gass 2019-02-12 21:18:22 UTC
backported to 18.05.x for 18.05.09
Comment 8 Fridolin SOMERS 2019-02-15 07:05:26 UTC
Pushed to 17.11.x for 17.11.15